All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans
Class StyleInfo

    com.sas.servlet.tbeans.StyleInfo

    @SASScope(value="ALL")
    public class StyleInfo

The StyleInfo object holds the name of the CLASSID and/or STYLE information for a specified area of a tbean.

Constructor Summary
`StyleInfo()` Default Constructor
`StyleInfo(java.lang.String classid)` Constructor for the StyleInfo class.
`StyleInfo(java.lang.String classid, java.lang.String style)` Constructor for StyleInfo object

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this StyleInfo object.
`java.lang.String` | `getClassid()` Returns the value of CLASSID, or null if the value has never been set.
`java.lang.String` | `getStyle()` Returns the value of the STYLE.
`void` | `setClassid(java.lang.String classid)` Sets the value of CLASSID.
`void` | `setStyle(java.lang.String style)` Sets the value of the STYLE.
`java.lang.String` | `toString()` Returns a string representation of this StyleInfo object in the following format: CLASSID=className Style=styleName

Constructor Detail

### StyleInfo

    public StyleInfo()

  Default Constructor

### StyleInfo

    public StyleInfo(java.lang.String classid,
                     java.lang.String style)

  Constructor for StyleInfo object

  Parameters:
    `classid` - value for the CLASSID attribute
    `style` - value for the STYLE attribute

### StyleInfo

    public StyleInfo(java.lang.String classid)

  Constructor for the StyleInfo class.

  Parameters:
    `classid` - value for the CLASSID attribute

Method Detail

### getClassid

    public java.lang.String getClassid()

  Returns the value of CLASSID, or null if the value has never been set.

  Returns:
    the CLASSID attribute.

### setClassid

    public void setClassid(java.lang.String classid)

  Sets the value of CLASSID.

  Parameters:
    `classid` - the CLASSID attribute.

### getStyle

    public java.lang.String getStyle()

  Returns the value of the STYLE.

  Returns:
    the value of the STYLE

### setStyle

    public void setStyle(java.lang.String style)

  Sets the value of the STYLE.

  Parameters:
    `value` - of STYLE

### clone

    public java.lang.Object clone()

  Returns a copy of this StyleInfo object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A copy of this StyleInfo object

### toString

    public java.lang.String toString()

  Returns a string representation of this StyleInfo object in the following format: CLASSID=className Style=styleName

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this StyleInfo object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.